<nav class='navbar navbar-expand-md bg-dark navbar-dark'>
  <div class='container'>
    <!-- Brand -->
    <a><%= link_to image_tag('emoji-couple-with-heart.png'), { action: 'home', controller: '/static_pages' }, class: 'navbar-brand', style: 'display: inline-block' %></a>

    <!-- Toggler/collapsibe Button -->
    <button class='navbar-toggler' type='button' data-toggle='collapse' data-target='#collapsibleNavbar'>
      <span class='navbar-toggler-icon'></span>
    </button>

    <!-- Navbar links -->
    <div class='collapse navbar-collapse' id='collapsibleNavbar'>
      <ul class='navbar-nav'>
        <li><%= link_to t('navigation.home'), { action: 'home', controller: '/static_pages' }, class: 'nav-link' %></li>
        <li><%= link_to t('navigation.schedule'), { action: 'schedule', controller: '/static_pages' }, class: 'nav-link' %></li>
        <li><%= link_to t('navigation.venue'), { action: 'venue', controller: '/static_pages' }, class: 'nav-link' %></li>
        <% if signed_in? %>
          <li><%= link_to t('navigation.guests'), { action: 'index', controller: '/guests' }, class: 'nav-link' %></li>
        <% end %>
      </ul>
      <ul class='navbar-nav ml-auto'>
        <li class='nav-item dropdown'>
          <a href='#' class='nav-link dropdown-toggle ml-4 mx-sm-2 my-2 my-sm-auto' data-toggle='dropdown' data-hover='dropdown'>
            <% active_locale_info = Locales::AVAILABLE[I18n.locale] %>
            <%= flag_icon(active_locale_info[:flag_id]) %>
            <span class='caret'></span>
          </a>
          <div class='dropdown-menu' role='menu'>
            <% Locales::AVAILABLE.each do |l, data| %>
              <%= link_to flag_icon(data[:flag_id]), url_for(locale: l), class: 'nav-link dropdown-item' %>
            <% end %>
          </li>
        </div>
      </ul>
    </div>
  </div>
</nav> 
